Mailinglist Archive: opensuse-bugs (4212 mails)

< Previous Next >
[Bug 724917] Can't start gnucash ("Unknown option name: maxdepth")

https://bugzilla.novell.com/show_bug.cgi?id=724917

https://bugzilla.novell.com/show_bug.cgi?id=724917#c53


--- Comment #53 from Petr Gajdos <pgajdos@xxxxxxxx> 2012-01-18 14:35:31 UTC ---
Todays session on freshly installed 12.1:

czabas> rpm -qa | egrep "guile|slib|gnucash"
gnucash-docs-2.4.1-4.1.1.noarch
gnucash-lang-2.4.7-3.1.2.noarch
guile-2.0.2-7.1.2.x86_64
slib-3b3-5.1.1.noarch
libguile-2_0-22-2.0.2-7.1.2.x86_64
gnucash-2.4.7-3.1.2.x86_64

czabas> gnucash
gnc.bin-Message: main: binreloc relocation support was disabled at configure
time.
[...]
ERROR: In procedure debug-options-interface:
ERROR: In procedure debug-options-interface: Unknown option name: maxdepth

czabas@linux-udqf/home/czabas:[1]> sudo zypper ar
http://download.opensuse.org/repositories/home:/pgajdos:/guile1/openSUSE_12.1/
gnucash-guile1
Adding repository 'gnucash-guile1' [done]
Repository 'gnucash-guile1' successfully added
Enabled: Yes
Autorefresh: No
GPG check: Yes
URI:
http://download.opensuse.org/repositories/home:/pgajdos:/guile1/openSUSE_12.1/

czabas> sudo zypper dup
Warning: You are about to do a distribution upgrade with all enabled
repositories. Make sure these repositories are compatible before you continue.
See 'man zypper' for more information about this command.
Building repository 'gnucash-guile1' cache [done]
Loading repository data...
Reading installed packages...
Computing distribution upgrade...

The following NEW packages are going to be installed:
gmp-devel guile1 libguile17 libguile1-devel libguilereadline-v-17-17
libguile-srfi-srfi-13-14-v-3-3 libguile-srfi-srfi-1-v-3-3
libguile-srfi-srfi-4-v-3-3 libguile-srfi-srfi-60-v-2-2 libmp3 ncurses-devel
readline-devel tack

The following packages are going to be upgraded:
gnucash gnucash-lang guile libguile-2_0-22 slib

The following packages are going to change vendor:
gnucash openSUSE -> obs://build.opensuse.org/home:pgajdos
gnucash-lang openSUSE -> obs://build.opensuse.org/home:pgajdos
guile openSUSE -> obs://build.opensuse.org/home:pgajdos
libguile-2_0-22 openSUSE -> obs://build.opensuse.org/home:pgajdos
slib openSUSE -> obs://build.opensuse.org/home:pgajdos


5 packages to upgrade, 13 new, 5 to change vendor.
[...]

czabas> gnucash
gnc.bin-Message: main: binreloc relocation support was disabled at configure
time.

WARNING: couldn't connect to: /tmp/keyring-NWgHEe/pkcs11: No such file or
directory
WARNING: couldn't connect to: /tmp/keyring-NWgHEe/pkcs11: No such file or
directory
Found Finance::Quote version 1.17
SUSE help center not found. Trying doc server...
Unable to find local doc server. If you want to use the doc server you
have to set the variable DOC_SERVER in /etc/sysconfig/apache2 to 'yes'
and start apache.

[*** gnucash started ok. I don't use it at all so I can't forseeable test if it
works as expected.]

czabas> rpm -qa | egrep "guile|slib|gnucash"
gnucash-docs-2.4.1-4.1.1.noarch
libguile-2_0-22-2.0.2-7.3.1.x86_64
guile-2.0.2-7.3.1.x86_64
gnucash-2.4.7-3.3.1.x86_64
libguile-srfi-srfi-60-v-2-2-1.8.8-5.1.x86_64
libguile-srfi-srfi-4-v-3-3-1.8.8-5.1.x86_64
libguile-srfi-srfi-1-v-3-3-1.8.8-5.1.x86_64
libguile17-1.8.8-5.1.x86_64
guile1-1.8.8-5.1.x86_64
libguile1-devel-1.8.8-5.1.x86_64
libguilereadline-v-17-17-1.8.8-5.1.x86_64
libguile-srfi-srfi-13-14-v-3-3-1.8.8-5.1.x86_64
slib-3b3-5.2.1.noarch
gnucash-lang-2.4.7-3.3.1.noarch

czabas> ldd /usr/bin/gnucash | grep guile
libguile.so.17 => /usr/lib64/libguile.so.17 (0x00007fc89dc43000)

[*** All other packages should remain depend on guile 2:]

czabas> ldd /usr/bin/sol | grep guile
libguile-2.0.so.22 => /usr/lib64/libguile-2.0.so.22 (0x00007fed1842d000)

czabas> sol

[...]

--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >